Bug 1379505 - Gmail Authentication Request not displayed on Wayland
Gmail Authentication Request not displayed on Wayland
Status: CLOSED DUPLICATE of bug 1378987
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
25
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-26 21:50 EDT by Gerardo Rosales
Modified: 2016-09-28 03:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 03:20:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen showed when tried to login to gmail (19.37 KB, image/png)
2016-09-26 21:50 EDT, Gerardo Rosales
no flags Details

  None (edit)
Description Gerardo Rosales 2016-09-26 21:50:17 EDT
Created attachment 1205012 [details]
Screen showed when tried to login to gmail

Description of problem:

Added my gmail account, the wizard filled up the information needed.
A new window is open in which I can login to gmail, this window is not showing gmail's prompt that allows me to log in.

This works fine when I log in using Xorg backend at the login screen.

Version-Release number of selected component (if applicable):

25

How reproducible:

Always on Wayland.

Steps to Reproduce:

1. Open Evolution
2. Add a gmail account
3. Click Next to log in to the account to grant permission

Actual results:

The login screen to input gmail info is grey( see screenshot attached)

Expected results:

Gmail login page should be visible and allow user to log in to his/her account.

Additional info:

Hardware: Lenovo Thinkpad x201, Fedora 25 Alpha installed from netinstall ISO.
Comment 1 Milan Crha 2016-09-27 04:32:57 EDT
Thanks for a bug report. There is used WebKit2 in the background, thus I move this to webkitgtk4. Would it help if you downgrade it to pre-2.14.0, please? I think of bug #1378987.
Comment 2 Michael Catanzaro 2016-09-27 04:57:57 EDT
Do you see any errors when running Evolution from the command line? In particular, we are hoping this is a duplicate of bug #1378987. If so, you'll see the error "gdk_cairo_draw_gl_render_buffer failed - no paint context". Can you confirm?
Comment 3 Gerardo Rosales 2016-09-27 09:06:59 EDT
My bad, I skipped trying from cli. will check later when have access to my home test machine and will update with the result.
Comment 4 Gerardo Rosales 2016-09-27 21:52:10 EDT
Yes can confirm it, running evolution from terminal shows this output

(evolution:2516): Gdk-WARNING **: gdk_cairo_draw_gl_render_buffer failed - no paint context
Comment 5 Tomas Popela 2016-09-28 03:20:00 EDT
(In reply to Gerardo Rosales from comment #4)
> (evolution:2516): Gdk-WARNING **: gdk_cairo_draw_gl_render_buffer failed -
> no paint context

The same as your other bug 1379512.

*** This bug has been marked as a duplicate of bug 1378987 ***

Note You need to log in before you can comment on or make changes to this bug.